# octavia.image.drivers.noop_driver package

## Submodules

## octavia.image.drivers.noop_driver.driver module

class NoopImageDriver

  Bases: `octavia.image.image_base.ImageBase`

  get_image_id_by_tag(image_tag, image_owner=None)

    Get image ID by image tag and owner.

    Parameters

      - image_tag – image tag

      - image_owner – optional image owner

    Raises

      ImageGetException if no images found with given tag

    Returns

      image id

class NoopManager

  Bases: `object`

  get_image_id_by_tag(image_tag, image_owner=None)

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug